#32/64bit

%define  _requires_exceptions ld-linux.so.2(GLIBC_PRIVATE)\\|libc.so.6(GLIBC_PRIVATE)


Summary:	SopCast client
Name:		sp-auth
Version:	3.2.6
Release:	%mkrel 1
License:	Freeware
Group:		Video
URL:		http://code.google.com/p/sopcast-player/
Source0:	http://sopcast-player.googlecode.com/files/%{name}-%{version}.tar.xz
Source1:	libstdcpp5.tar.xz


%description
Command line version of SopCast client.

%prep
%setup -q -n %{name} -a 1

%build
# Nothing

%install
mkdir -p %{buildroot}%{_libdir}/%{name}
install -m 0755 sp-sc-auth %{buildroot}%{_libdir}/%{name}/
unxz -c %SOURCE1 | tar xf - -C %{buildroot}%{_libdir}/%{name}/


# Wrapper
mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/sp-sc << EOF
#!/bin/bash
pushd %{_libdir}/%{name}
LD_PRELOAD=./libstdc++.so.5 ./sp-sc-auth \$@
popd
EOF

chmod 0755 %{buildroot}%{_bindir}/sp-sc
ln -fs %{_libdir}/sp-sc-auth %{buildroot}%{_bindir}/sp-sc 
 

%files
%{_bindir}/sp-sc
%{_bindir}/sp-sc-auth
%{_libdir}/%{name}

%changelog
* Sun Feb 09 2014 Ken <lxgator at gmail.com> 3.2.6-1pclos2014
- initial build 

